using System;

namespace Kvalifikacija
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int a = int.Parse(s[0]);
            int b = int.Parse(s[1]);
            s = Console.ReadLine().Split(' ');
            int x = int.Parse(s[0]);
            int y = int.Parse(s[0]);
            if (a == x && b == y)
            {
                Console.WriteLine("nijedan");
            }
            else if (a > x && b > y)
            {
                Console.WriteLine("?");
            }
            else if (a == x && b > y)
            {
                Console.WriteLine("drugi");
            }
            else
            {
                Console.WriteLine("prvi");
            }
        }
    }
}